Signed-off-by: Maciej Pijanka <maciej.pijanka@gmail.com>
Index: flash.h
===================================================================
--- flash.h	(revision 565)
+++ flash.h	(working copy)
@@ -287,6 +287,7 @@
 #define AT_29C040A		0xA4
 #define AT_29C010A		0xD5	
 #define AT_29C020		0xDA
+#define AT_29C512		0x5D	
 #define AT_45BR3214B		/* No ID available */
 #define AT_45CS1282		0x2920
 #define AT_45D011		/* No ID available */
Index: flashchips.c
===================================================================
--- flashchips.c	(revision 565)
+++ flashchips.c	(working copy)
@@ -400,6 +400,22 @@
 
 	{
 		.vendor		= "Atmel",
+		.name		= "AT29C512",
+		.bustype	= CHIP_BUSTYPE_NONSPI,
+		.manufacture_id	= ATMEL_ID,
+		.model_id	= AT_29C512,
+		.total_size	= 64,
+		.page_size	= 128,
+		.tested		= TEST_OK_PREW,
+		.probe		= probe_jedec,
+		.erase		= erase_chip_jedec,
+		.write		= write_jedec,
+		.read		= read_memmapped,
+
+	},
+
+	{
+		.vendor		= "Atmel",
 		.name		= "AT29C010A",
 		.bustype	= CHIP_BUSTYPE_NONSPI,
 		.manufacture_id	= ATMEL_ID,
